felix-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Eoghan Glynn (JIRA)" <j...@apache.org>
Subject [jira] Issue Comment Edited: (FELIX-2049) extend org.apache.felix.karaf.testing.Helper to emit a karaf-specific execution environment file for pax-runner
Date Tue, 09 Feb 2010 10:43:28 GMT

    [ https://issues.apache.org/jira/browse/FELIX-2049?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=12831403#action_12831403
] 

Eoghan Glynn edited comment on FELIX-2049 at 2/9/10 10:42 AM:
--------------------------------------------------------------

Just noticed a lingering println() in the initial patch, please use felix_2249_2.patch instead.

      was (Author: eglynn):
    Just noticed a linger println() in the initial patch, please use this one instead.
  
> extend org.apache.felix.karaf.testing.Helper to emit a karaf-specific execution environment
file for pax-runner
> ---------------------------------------------------------------------------------------------------------------
>
>                 Key: FELIX-2049
>                 URL: https://issues.apache.org/jira/browse/FELIX-2049
>             Project: Felix
>          Issue Type: Improvement
>          Components: Karaf
>    Affects Versions: karaf-1.4.0
>            Reporter: Eoghan Glynn
>             Fix For: karaf-1.4.0
>
>         Attachments: felix_2249.patch, felix_2249_2.patch
>
>
> I've been looking into rebasing an existing test on the new org.apache.felix.karaf.testing.Helper
class, but I don't think it goes quite far enough in imposing the karaf runtime environment
on pax-runner. Specifically, just pulling in the config.properties settings related to the
system.packages doesn't stop pax-runner generating a system packages list with its own notion
of what packages are appropriate for the current JRE version. 
> So for Java6 we end up with problematic entries like javax.xml.ws*, javax.activation
etc. which cause trouble for any bundles doing version-constrained imports of these packages
(because equinox assigns "0.0" as the version for system packages).
> What's needed, I think, is for the Helper to generate a pax-runner execution environment
file, named say target/paxrunner/platform/ee/karaf/jre-1.{5|6}.profile, and containing the
correct set of system packages for karaf (i.e. the org.osgi.framework.system.packages property
read from the config.properties with the jre-1.{5|6} variable substituted in). The Helper
should also set rawPaxRunnerOption("--ee", "file://./target/paxrunner/platform/ee/karaf/jre-1.{5|6}.profile")
as one of the default options.
> Feedback welcome if I'm on the wrong track with this. But if there are no objections,
I'll go ahead and code this up & then submit a patch.

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


Mime
View raw message